# Generated by Django 3.2.18 on 2024-03-14 15:59

from django.db import migrations


def populate_pubfracs(apps, schema_editor):
    try:
        OrgPubFraction = apps.get_model("journals.OrgPubFraction")
        PubFrac = apps.get_model("finances.PubFrac")

        # Copy all data from OrgPubFraction to the new PubFrac
        for opf in OrgPubFraction.objects.all():
            pubfrac = PubFrac(
                organization=opf.organization,
                publication=opf.publication,
                fraction=opf.fraction,
            )
            pubfrac.save()
    except Exception as e:
        print("Error populating PubFrac:", e)

    # # Copy all data from OrgPubFraction to the new PubFrac
    # for opf in OrgPubFraction.objects.all():
    #     pubfrac = PubFrac(
    #         organization=opf.organization,
    #         publication=opf.publication,
    #         fraction=opf.fraction
    #     )
    #     pubfrac.save()
    pass  # 2024-03-20 not needed anymore: PubFracs are algorithmically calculated


class Migration(migrations.Migration):

    dependencies = [
        ("finances", "0032_pubfrac"),
    ]

    operations = [
        migrations.RunPython(
            populate_pubfracs,
            reverse_code=migrations.RunPython.noop,
        )
    ]
